/*
 * // Bristleback plugin - Copyright (c) 2010 bristleback.googlecode.com
 * // ---------------------------------------------------------------------------
 * // This program is free software; you can redistribute it and/or modify it
 * // under the terms of the GNU Lesser General Public License as published by the
 * // Free Software Foundation; either version 3 of the License, or (at your
 * // option) any later version.
 * // This library is distributed in the hope that it will be useful,
 * // but without any warranty; without even the implied warranty of merchantability
 * // or fitness for a particular purpose.
 * // You should have received a copy of the GNU Lesser General Public License along
 * // with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
 * // ---------------------------------------------------------------------------
 */

package pl.bristleback.server.bristle.binding.resolvers;

import org.apache.log4j.Logger;

/**
 * Simplest resolver, just calls <code>toString()</code> method of the processed value.
 * <p/>
 * Created on: 2011-02-23 15:43:47 <br/>
 *
 * @author Wojciech Niemiec
 */
public class StringPropertyResolver implements PropertyValueResolver<String> {
  private static Logger log = Logger.getLogger(StringPropertyResolver.class.getName());

  public String extractValue(Object value) {
    return value.toString();
  }
}
