// Bristleback plugin - Copyright (c) 2010 bristleback.googlecode.com
// ---------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by the
// Free Software Foundation; either version 3 of the License, or (at your
// option) any later version.
// This library is distributed in the hope that it will be useful,
// but without any warranty; without even the implied warranty of merchantability
// or fitness for a particular purpose.
// You should have received a copy of the GNU Lesser General Public License along
// with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
// ---------------------------------------------------------------------------
package pl.bristleback.server.bristle.config;

import pl.bristleback.server.bristle.actions.RemoteActionInformation;

import java.util.List;

/**
 * Classes implementing this interface must provide a way to retrieve annotated action classes.
 * Any additional information required for implementation to work can be taken from plugin configuration.
 * Those plugin settings are taken from jwebsocket configuration file.
 * <p/>
 * Created on: 2010-09-03 16:04:22 <br/>
 *
 * @author Wojciech Niemiec
 */
public interface ActionAnnotationsProcessor {

  /**
   * Gets list of annotated actions bound into {@link RemoteActionInformation} objects.
   *
   * @param configuration Bristleback plugin configuration.
   * @return list of annotated actions information.
   */
  List<RemoteActionInformation> getAnnotatedActions(BristleConfiguration configuration);
}
