/*
 * // Bristleback plugin - Copyright (c) 2010 bristleback.googlecode.com
 * // ---------------------------------------------------------------------------
 * // This program is free software; you can redistribute it and/or modify it
 * // under the terms of the GNU Lesser General Public License as published by the
 * // Free Software Foundation; either version 3 of the License, or (at your
 * // option) any later version.
 * // This library is distributed in the hope that it will be useful,
 * // but without any warranty; without even the implied warranty of merchantability
 * // or fitness for a particular purpose.
 * // You should have received a copy of the GNU Lesser General Public License along
 * // with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
 * // ---------------------------------------------------------------------------
 */

package pl.bristleback.server.bristle.utils;

import org.apache.log4j.Logger;

import java.lang.reflect.Field;

/**
 * Class wrapping information about action class element, containing instance of that element, its field information
 * and action class that owns this element.
 * <p/>
 * Created on: 2010-12-26 11:06:51 <br/>
 *
 * @author Wojciech Niemiec
 */
public class ActionClassElement<T> {
  private static Logger log = Logger.getLogger(ActionClassElement.class.getName());

  private T elementValue;
  private Field elementField;
  private Class ownerClass;

  public T getElementValue() {
    return elementValue;
  }

  public void setElementValue(T elementValue) {
    this.elementValue = elementValue;
  }

  public Field getElementField() {
    return elementField;
  }

  public void setElementField(Field elementField) {
    this.elementField = elementField;
  }

  public Class getOwnerClass() {
    return ownerClass;
  }

  public void setOwnerClass(Class ownerClass) {
    this.ownerClass = ownerClass;
  }
}
